Bug 45077 - External items in gallery extension have bad path
Summary: External items in gallery extension have bad path
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Gallery
  Show dependency treegraph
 
Reported: 2012-01-22 05:23 UTC by Kami
Modified: 2019-08-14 17:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenprint of galery and object showing read error (110.79 KB, image/png)
2012-02-06 13:54 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kami 2012-01-22 05:23:34 UTC
If you install gallery that contains external links (instead of embedding vector graphic) to jpeg or png files the external files can not viewed from LibreOffice. The path of such images has wrong value. For example:

The real path of gallery element is:
~/.config/libreoffice/3/user/uno_packages/cache/uno_packages/lu1ik7gv.tmp_/OOOP-accessories-2.7.0.0.oxt/gallery/Draws/People/Baboo1.png after the gallery extension installation however the LibO search it in:
~/.config/libreoffice/3/user/user/gallery/Draws/People/Baboo1.png that causes uninsertable gallery element.

Few users also has same problem under windows too:
https://webcache.googleusercontent.com/search?q=cache:gMwf6NDaI7QJ:extensions.services.openoffice.org/project/oxygenoffice-gallery+&cd=1&hl=en&ct=clnk&client=ubuntu
Comment 1 Cor Nouws 2012-02-06 05:21:16 UTC
Hi Kami,

Do you have such a gallery (or link to it) for me, so that I can test?
Thanks - Cor
Comment 2 Kami 2012-02-06 13:37:27 UTC
Hi Cor,

http://extensions.services.openoffice.org/en/download/4159

Thank you for testing the bug!

KAMI
Comment 3 Cor Nouws 2012-02-06 13:53:36 UTC
thanks Kami ... confirmed
Comment 4 Cor Nouws 2012-02-06 13:54:29 UTC
Created attachment 56693 [details]
screenprint of galery and object showing read error
Comment 5 QA Administrators 2014-10-24 03:18:23 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2015-12-20 16:17:37 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:49:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103